/* aprspass.cpp  :  APRS Passcode generator  April 12, 2000*/

/* Nov. 2 2000, aprsd215: Added stdlib.h to includes list so it compiles on RedHat 7 */


#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif



#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <stdio.h>
#include <iostream>
#include <strstream>
#include <iomanip>

using namespace std;

#include "validate.h"






int main(int argc, char *argv[])
{
	
   if(argc < 2){
       cout << "Usage: aprspass <call sign>\n";
       exit(1);
   }
   
   cout  << "APRS passcode for " 
         << argv[1]
         << " = "
         << doHash(argv[1]) 
         << endl;

   return 0;
   
}
